// JavaScript Document
var xmlHttp = false;
try {
    xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
} catch (e) {
    try {
        xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
  } catch (e2) {
	xmlHttp = false;
  }
}
if (!xmlHttp && typeof XMLHttpRequest != 'undefined') {
    var xmlHttp = new XMLHttpRequest(); 
}


//ÔØÈëÊý¾Ý
function GetCityname(val){
    var post=val;

    var sLocation = window.location.href;
    var url = sLocation.substring(0, sLocation.lastIndexOf("/") + 1) + "punycode.asp?domain=" + post;

    //var url = "../host/punycode.asp?domain=" + post;

    // Open a connection to the server
    xmlHttp.open("GET", url, true);

    // Setup a function for the server to run when it's done
    xmlHttp.onreadystatechange = changedWrite;

    // Send the request
    xmlHttp.send(null);
}

function changedWrite(){
    if (xmlHttp.readyState == 4) {
		var val=xmlHttp.responseText;
	  	document.getElementById("domain1").value=val;
	}
}

function GetCitynameC(val){
    var post=val;

    var sLocation = window.location.href;
    var url = sLocation.substring(0, sLocation.lastIndexOf("/") + 1) + "punycode.asp?domain=" + post;

    //var url = "../host/punycode.asp?domain=" + post;

    // Open a connection to the server
    xmlHttp.open("GET", url, true);

    // Setup a function for the server to run when it's done
    xmlHttp.onreadystatechange = changedWriteC;

    // Send the request
    xmlHttp.send(null);
}

function changedWriteC(){
    if (xmlHttp.readyState == 4) {
		var val=xmlHttp.responseText;
	  	document.getElementById("domaincheck1").value=val;
	}
}